Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf.genes
Interface Gene

All Superinterfaces
  Serializable

    public interface Gene

extends Serializable

`Gene` represents a named parameter intended to affect some aspect of Look and Feel rendering. Genes are used in Look and Feel resources via runtime evaluation of tokens specified in skin or skeleton render dependencies. For example:

     <style type="text/css">
      .bea-portal-body { background-color: ${BodyBackgroundColor}; }
     </style>

Where ${BodyBackgroundColor} is a token which will be replaced with the value of the "BodyBackgroundColor" gene at runtime. Gene values may also contain tokens, and all such tokens will be fully expanded when the gene value is evaluated.

See Also
  "Chromosome configuration element <gene>", "Skin and Skeleton configuration element <render-dependencies>"
  This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `evaluateValue(javax.servlet.http.HttpServletRequest request)` Returns the evaluated gene value.
`Chromosome` | `getChromosome()` Returns the related chromosome.
`String` | `getName()` Returns the gene name.
`String` | `getValue()` Returns the raw gene value.

Method Detail

### getName

    String getName()

  Returns the gene name.

### getValue

    String getValue()

  Returns the raw gene value. This value will be the exact value specified in the gene configuration; that is, any tokens in the gene value will not be evaluated.

  Returns
    The raw gene value
  See Also
    `evaluateValue(HttpServletRequest)`

### getChromosome

    Chromosome getChromosome()

  Returns the related chromosome.

### evaluateValue

    String evaluateValue(javax.servlet.http.HttpServletRequest request)
                         throws MutationException

  Returns the evaluated gene value. Any tokens in the raw gene value will be fully expanded; that is, token substitution will continue until all tokens have been resolved.

  Parameters
    `request` - The current request
  Returns
    The evaluated gene value
  Throws
    `MutationException` - The first exception thrown by a mutator in the mutator chain associated with this gene, if any
  See Also
    `getValue()`, `Mutator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.